Bug 122814 - kde5: Cannot open menu using Alt + <character> shortcut
Summary: kde5: Cannot open menu using Alt + <character> shortcut
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Aleksei Nikiforov
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-01-19 10:46 UTC by Michael Weghorn
Modified: 2019-01-28 14:53 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2019-01-19 10:46:50 UTC
Version: 6.3.0.0.alpha0+
Build ID: 87bf8b7900fe4757bd8494f7a72966915f653eb6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Steps to reproduce:

1) start LibreOffice Writer
2) Press Alt and keep the button pressed -> the keys to open the menu entries are highlighted in the menu
3) press "F" in addition (which is the highlighted character for the "File" menu entry when using en-US locale)

Results: The menu does not open.

Expected result: The "File" menu should open.

Notes: This is specific to the kde5 VCL plugin and works as expected when using the gtk3 VCL plugin.
Comment 1 Michael Weghorn 2019-01-19 10:52:01 UTC
This is a regression introduced by the following commit:

    commit 5843e14a4ddc6d2b1e375ca26eec33033bfad455
    Author: Aleksei Nikiforov <darktemplar@basealt.ru>
    Date:   Wed Jan 16 14:57:42 2019 +0300
    
        tdf#122238 KDE5: disable mechanism of Qt for shortcut activation

Adding Cc: to Aleksei Nikiforov <darktemplar@basealt.ru>
Could you possibly have a quick look?
Comment 2 Vera Blagoveschenskaya 2019-01-21 06:42:20 UTC
Confirmed from my side

Version: 6.3.0.0.alpha0+
Build ID: 87bf8b7900fe4757bd8494f7a72966915f653eb6
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-19_19:05:11
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Aleksei Nikiforov 2019-01-21 09:10:10 UTC
(In reply to Michael Weghorn from comment #1)
> This is a regression introduced by the following commit:
> 
>     commit 5843e14a4ddc6d2b1e375ca26eec33033bfad455
>     Author: Aleksei Nikiforov <darktemplar@basealt.ru>
>     Date:   Wed Jan 16 14:57:42 2019 +0300
>     
>         tdf#122238 KDE5: disable mechanism of Qt for shortcut activation
> 
> Adding Cc: to Aleksei Nikiforov <darktemplar@basealt.ru>
> Could you possibly have a quick look?

Yeah, also reproduces for me. I'll see what I can do with it.
Comment 4 Katarina Behrens (Inactive) 2019-01-21 10:16:16 UTC
VCL@gtk sets the following items of ImplSVData to 'true':

mbAutoAccel
mbEnableAutoAccel 

The func to do this in KDE5 would be KDE5SalData::initNWF, a helpful commit where this was implemented: https://cgit.freedesktop.org/libreoffice/core/commit/?id=74407aef94b6d8dfdd69891c4a6e578587ef3e71

Maybe this helps ...
Comment 5 Commit Notification 2019-01-26 10:48:58 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1a5340788639ba71725338ddc5d340b2b304f4c2%5E%21

tdf#122814 KDE5: conditional disable of Qt shortcuts

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Vera Blagoveschenskaya 2019-01-27 09:25:56 UTC
Thanks, Alexei,

I've checked alt+F,W,H, etc
Works fine.

Version: 6.3.0.0.alpha0+
Build ID: ed707a4806a489467c6d9be7d1b787dab94b5f78
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-26_22:55:03
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Commit Notification 2019-01-28 14:53:31 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/96af619c9650e806dfb19da5b9344c46412d573d%5E%21

tdf#122814 KDE5: conditional disable of Qt shortcuts

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.